Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.listeners
Interface ScheduledEventMessageComposer

All Superinterfaces:
  Initializable

All Known Implementing Classes:
  RedeliverEventMessageComposer

    public interface ScheduledEventMessageComposer

extends Initializable

Scheduled Event Composer.

Author:
  Daniel Bevenius, tom.fennelly@jboss.com

Nested Class Summary
`static class` | `ScheduledEventMessageComposer.Factory` Uitility factory class for reflective `ScheduledEventMessageComposer` construction.

Method Summary
`Message` | `composeMessage()` Compose an ESB "aware" message.
`Message` | `onProcessingComplete(Message message)` Called by the `ScheduledEventListener` after processing of the `Message` has completed.

Methods inherited from interface org.jboss.soa.esb.Initializable
`initialize, uninitialize`

Method Detail

### composeMessage

    Message composeMessage()
                           throws SchedulingException

  Compose an ESB "aware" message.

  Called by the `ScheduledEventListener.onSchedule()` method.

  Returns:
    ESB aware message instance. If this method returns null the action pipeline will not be processed.
  Throws:
    `SchedulingException` - Failed to compose message on scheduled event.

### onProcessingComplete

    Message onProcessingComplete(Message message)
                                 throws SchedulingException

  Called by the `ScheduledEventListener` after processing of the `Message` has completed.

  This event can be used to perform any necessary cleanup processing for the `Message` instance etc.

  Parameters:
    `message` - ESB aware message instance to be decomposed.
  Returns:
    ESB unaware message instance - a message payload.
  Throws:
    `SchedulingException` - Error while processing the onProcessingComplete event.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD